Index: src/core/ctrl/tsp_provider.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/ctrl/tsp_provider.c,v
retrieving revision 1.57
diff -u -r1.57 tsp_provider.c
--- src/core/ctrl/tsp_provider.c	30 Nov 2007 15:42:01 -0000	1.57
+++ src/core/ctrl/tsp_provider.c	3 Feb 2008 19:38:44 -0000
@@ -98,14 +98,14 @@
   int32_t retval = TSP_STATUS_OK;
 
   if (version_id != TSP_PROTOCOL_VERSION) {
-    STRACE_ERROR(("TSP version ERROR. Requested=%d Current=%d",version_id, TSP_PROTOCOL_VERSION ));    
+    STRACE_ERROR("TSP version ERROR. Requested=%d Current=%d",version_id, TSP_PROTOCOL_VERSION);
     retval = TSP_STATUS_ERROR_VERSION;
   }
 
   if ((TSP_STATUS_OK==retval) && (NULL!=glu)) {
     *glu = TSP_session_get_GLU_by_channel(channel_id);
     if (NULL==*glu) {
-      STRACE_ERROR(("TSP channel id ERROR. Trying to use Channel Id=%d ",channel_id));
+      STRACE_ERROR("TSP channel id ERROR. Trying to use Channel Id=%d ",channel_id);
       retval=TSP_STATUS_ERROR_INVALID_CHANNEL_ID;
     }
   }
@@ -144,13 +144,13 @@
       if(p && (p == (*argv)[i] ))
 	{
 	  /* TSP Arg */
-	  STRACE_INFO(("Tsp ARG : '%s'", (*argv)[i]));
+	  STRACE_INFO("Tsp ARG : '%s'", (*argv)[i]);
 
 	  /* First we must not be looking for a argument */
 	  if(found_server_number_flag)
 	    {
 	      /* Error we are expecting an arguement not a TSP option*/
-	      STRACE_WARNING(("Unexpected %s", (*argv)[i]));
+	      STRACE_WARNING("Unexpected %s", (*argv)[i]);
 	      ret = FALSE;
 	    }
 	  /* Look for start flag */
@@ -169,7 +169,7 @@
 		}
 	      else
 		{
-		  STRACE_WARNING(("Unexpected "TSP_ARG_STREAM_INIT_START));
+		  STRACE_WARNING("Unexpected "TSP_ARG_STREAM_INIT_START);
 		  ret = FALSE;
 		}
 	    }
@@ -181,7 +181,7 @@
 		}
 	      else
 		{
-		  STRACE_WARNING(("Unexpected "TSP_ARG_STREAM_INIT_STOP));
+		  STRACE_WARNING("Unexpected "TSP_ARG_STREAM_INIT_STOP);
 		  ret = FALSE;
 		}
 	    }
@@ -190,14 +190,14 @@
 	      found_server_number_flag = TRUE;
 	      if(found_stream_start && !found_stream_stop)		
 		{
-		  STRACE_WARNING(("Unexpected "TSP_ARG_SERVER_NUMBER));
+		  STRACE_WARNING("Unexpected "TSP_ARG_SERVER_NUMBER);
 		  ret = FALSE;
 		}
 	    }
 	  else
 	    {
 	      /* Unkown option */
-	      STRACE_WARNING(("Unknown TSP option : '%s'",(*argv)[i] ))
+	      STRACE_WARNING("Unknown TSP option : '%s'",(*argv)[i]);
 	      ret = FALSE;
 	    }
 	}
@@ -213,7 +213,7 @@
 	      /* Found arg for server number option */
 	      found_server_number_flag = FALSE;
 	      X_server_base_number = atoi((*argv)[i]);
-	      STRACE_INFO(("Server base number = %d", X_server_base_number));
+	      STRACE_INFO("Server base number = %d", X_server_base_number);
 	    }
 	  else
 	    {	      
@@ -228,13 +228,13 @@
   
   if( found_stream_start && !found_stream_stop )
     {
-      STRACE_WARNING(("A " TSP_ARG_STREAM_INIT_STOP " flag was expected"));
+      STRACE_WARNING("A " TSP_ARG_STREAM_INIT_STOP " flag was expected");
       ret = FALSE;
     }
 
   if( found_server_number_flag )
     {
-      STRACE_WARNING(("An argument was expected after " TSP_ARG_SERVER_NUMBER));
+      STRACE_WARNING("An argument was expected after " TSP_ARG_SERVER_NUMBER);
       ret = FALSE;
     }
 
@@ -245,13 +245,13 @@
   /* Display usage */
   if(!ret)
     {
-      STRACE_WARNING((TSP_ARG_PROVIDER_USAGE));
+      STRACE_WARNING(TSP_ARG_PROVIDER_USAGE);
     }
   else
     {
       if (! X_glu_argc )
 	{
-	  STRACE_INFO(("No GLU stream init provided on command line"));
+	  STRACE_INFO("No GLU stream init provided on command line");
 	}
     }
 
@@ -282,7 +282,7 @@
   char* error_info;
   int i;
 
-  STRACE_REQUEST(("OPEN"));
+  STRACE_REQUEST("OPEN");
 	
   TSP_LOCK_MUTEX(&X_tsp_request_mutex,);
 
@@ -293,11 +293,11 @@
 
   if (req_open->argv.TSP_argv_t_len) {
     for( i = 0; i< req_open->argv.TSP_argv_t_len ;i++) {
-      STRACE_DEBUG(("arg %d is '%s'", i,  req_open->argv.TSP_argv_t_val[i]));
+      STRACE_DEBUG("arg %d is '%s'", i,  req_open->argv.TSP_argv_t_val[i]);
     }
   }
   else {
-    STRACE_DEBUG(("No custom args from consumer"));
+    STRACE_DEBUG("No custom args from consumer");
   }
 
   /*  
@@ -333,15 +333,15 @@
 	ans_open->status      = TSP_STATUS_OK;
       }
       else {
-	STRACE_ERROR(("TSP version ERROR. Requested=%d Current=%d",req_open->version_id, TSP_PROTOCOL_VERSION ));
+	STRACE_ERROR("TSP version ERROR. Requested=%d Current=%d",req_open->version_id, TSP_PROTOCOL_VERSION);
 	ans_open->status = TSP_STATUS_ERROR_VERSION;
       }
     }
     else {
-      STRACE_ERROR(("TSP_add_session failed"));
+      STRACE_ERROR("TSP_add_session failed");
     }
   } else {
-    STRACE_INFO(("Unable to get first GLU instance"));
+    STRACE_INFO("Unable to get first GLU instance");
     ans_open->status = TSP_STATUS_ERROR_SEE_STRING;
     ans_open->status_str = error_info;
   }  
@@ -358,7 +358,7 @@
 void 
 TSP_provider_request_close(const TSP_request_close_t* req_close) {
 
-  STRACE_REQUEST(("CLOSE channel_id=<%d>",req_close->channel_id));
+  STRACE_REQUEST("CLOSE channel_id=<%d>",req_close->channel_id);
   TSP_LOCK_MUTEX(&X_tsp_request_mutex,);
   
   if (TSP_STATUS_OK==TSP_provider_checkVersionAndChannelId(req_close->version_id,
@@ -377,9 +377,9 @@
 void  
 TSP_provider_request_information(TSP_request_information_t* req_info, 
 				 TSP_answer_sample_t* ans_sample) {
-  STRACE_REQUEST(("INFORMATIONS channel_id=<%d>",req_info->channel_id));
+  STRACE_REQUEST("INFORMATIONS channel_id=<%d>",req_info->channel_id);
   TSP_provider_request_filtered_information(req_info,TSP_FILTER_NONE,NULL,ans_sample);  
-  STRACE_DEBUG(("Nb symbol = %d",ans_sample->symbols.TSP_sample_symbol_info_list_t_len));
+  STRACE_DEBUG("Nb symbol = %d",ans_sample->symbols.TSP_sample_symbol_info_list_t_len);
 } /* End of TSP_provider_request_information */
 
 void TSP_provider_update_answer_with_minimalinfo(int32_t version_id, int32_t channel_id,
@@ -411,7 +411,7 @@
 
   GLU_handle_t* myGLU = NULL;
 
-  STRACE_REQUEST(("FILTERED INFORMATIONS channel_id=<%d>",req_info->channel_id));
+  STRACE_REQUEST("FILTERED INFORMATIONS channel_id=<%d>",req_info->channel_id);
   TSP_LOCK_MUTEX(&X_tsp_request_mutex,);
   
   /* fill-in minimal info in answer_sample */
@@ -423,15 +423,15 @@
     /* switch case for filter_kind */
     switch (filter_kind) {
     case TSP_FILTER_NONE:
-      STRACE_INFO(("Requested filter NONE"));
+      STRACE_INFO("Requested filter NONE");
       TSP_filter_symbol_none(req_info,filter_string,ans_sample);
       break;
     case TSP_FILTER_MINIMAL:
-      STRACE_INFO(("Requested filter MINIMAL, filter string = <%s>",filter_string));
+      STRACE_INFO("Requested filter MINIMAL, filter string = <%s>",filter_string);
       TSP_filter_symbol_minimal(req_info,filter_string,ans_sample);
       break;
     default:
-      STRACE_INFO(("Requested filter kind <%d>, filter string = <%s>",filter_kind,filter_string));
+      STRACE_INFO("Requested filter kind <%d>, filter string = <%s>",filter_kind,filter_string);
       /* 
        * Forward other filtered request directly to GLU 
        * such that even non anticipated filtering method could
@@ -453,7 +453,7 @@
 
   GLU_handle_t* myGLU;
   
-  STRACE_REQUEST(("SAMPLE channel_id=<%d>",req_sample->channel_id));
+  STRACE_REQUEST("SAMPLE channel_id=<%d>",req_sample->channel_id);
   TSP_LOCK_MUTEX(&X_tsp_request_mutex,);	
   
   /* Always re-init answer_sample */
@@ -463,7 +463,7 @@
 					      ans_sample,
 					      &myGLU);
   
-  STRACE_INFO(("Consumer No %d asked for %d symbols",req_sample->channel_id,req_sample->symbols.TSP_sample_symbol_info_list_t_len  ));
+  STRACE_INFO("Consumer No %d asked for %d symbols",req_sample->channel_id,req_sample->symbols.TSP_sample_symbol_info_list_t_len);
 
   if (0>=req_sample->symbols.TSP_sample_symbol_info_list_t_len) {
     ans_sample->status = TSP_STATUS_ERROR_EMPTY_REQUEST_SAMPLE;
@@ -475,7 +475,7 @@
       ans_sample->status =
 	TSP_session_create_symbols_table_by_channel(req_sample, ans_sample);
       if (TSP_STATUS_OK!= ans_sample->status) {
-	STRACE_ERROR(("Function TSP_session_create_symbols_table_by_channel failed"));
+	STRACE_ERROR("Function TSP_session_create_symbols_table_by_channel failed");
       }  else {
 	TSP_session_change_stateTo_byChannel(req_sample->channel_id,TSP_SESSION_STATE_REQUEST_SAMPLE_OK);
       }
@@ -484,7 +484,7 @@
        * Start It only upon request_sample_init request.
        */      
     } else {
-      STRACE_WARNING(("Function TSP_session_get_symbols_global_index_by_channel failed"));
+      STRACE_WARNING("Function TSP_session_get_symbols_global_index_by_channel failed");
       ans_sample->status = TSP_STATUS_ERROR_SYMBOLS;
       /* 
        * Now we shall update answer_sample->symbols in order to indicates
@@ -494,7 +494,7 @@
 		       req_sample->symbols);
     }
   } else {
-    STRACE_WARNING(("TSP ERROR"));
+    STRACE_WARNING("TSP ERROR");
   }
 
   TSP_UNLOCK_MUTEX(&X_tsp_request_mutex,);
@@ -505,7 +505,7 @@
 				 TSP_answer_sample_init_t* ans_sample_init) {  
   GLU_handle_t* myGLU;
 
-  STRACE_REQUEST(("SAMPLE_INIT channel_id=<%d>",req_sample_init->channel_id));
+  STRACE_REQUEST("SAMPLE_INIT channel_id=<%d>",req_sample_init->channel_id);
   TSP_LOCK_MUTEX(&X_tsp_request_mutex,);
     
   ans_sample_init->status = TSP_provider_checkVersionAndChannelId(req_sample_init->version_id,
@@ -519,12 +519,12 @@
       TSP_session_create_data_sender_by_channel(req_sample_init->channel_id);
     
     if (TSP_STATUS_OK!=ans_sample_init->status) {
-      STRACE_ERROR(("TSP_data_sender_create failed"));
+      STRACE_ERROR("TSP_data_sender_create failed");
     } else {      
       /* send data address to client */
       ans_sample_init->data_address =
 	(char*)TSP_session_get_data_address_string_by_channel(req_sample_init->channel_id);  
-      STRACE_DEBUG(("ANSWER SAMPLE INIT data_address = '%s'", ans_sample_init->data_address));
+      STRACE_DEBUG("ANSWER SAMPLE INIT data_address = '%s'", ans_sample_init->data_address);
       TSP_session_change_stateTo_byChannel(req_sample_init->channel_id,TSP_SESSION_STATE_REQUEST_SAMPLE_INIT_OK);
     }
   }
@@ -535,7 +535,7 @@
 static 
 void TSP_provider_request_sample_destroy_priv(channel_id_t channel_id) {
   if(TSP_STATUS_OK!=TSP_session_destroy_data_sender_by_channel(channel_id)) {
-    STRACE_ERROR(("TSP_session_destroy_data_sender_by_channel failed"));
+    STRACE_ERROR("TSP_session_destroy_data_sender_by_channel failed");
   }
   TSP_session_change_stateTo_byChannel(channel_id,TSP_SESSION_STATE_REQUEST_SAMPLE_DESTROY_OK);
 }
@@ -544,7 +544,7 @@
 TSP_provider_request_sample_destroy(TSP_request_sample_destroy_t* req_sample_destroy, 
 				    TSP_answer_sample_destroy_t*  ans_sample_destroy) {
 
-  STRACE_REQUEST(("SAMPLE DESTROY channel_id=<%d>",req_sample_destroy->channel_id));
+  STRACE_REQUEST("SAMPLE DESTROY channel_id=<%d>",req_sample_destroy->channel_id);
   TSP_LOCK_MUTEX(&X_tsp_request_mutex,);
 
   ans_sample_destroy->status = TSP_provider_checkVersionAndChannelId(req_sample_destroy->version_id,
@@ -572,7 +572,7 @@
      while(TRUE==TSP_session_get_garbage_session(&channel_id)) {
        /* get the state of the garbage session */
        state = TSP_session_get_state(channel_id);
-       STRACE_INFO(("Will garbage collect session channel_id <%d> in state <%d>",channel_id,state));
+       STRACE_INFO("Will garbage collect session channel_id <%d> in state <%d>",channel_id,state);
        /* 
 	* If the session is garbage this means that the consumer
 	* did not close the session properly so do it.
@@ -581,7 +581,7 @@
        /* Simulate request sample destroy */       
        if ((TSP_SESSION_STATE_SAMPLING          == state) ||
 	   (TSP_SESSION_STATE_BROKEN_LINK       == state)) {
-	 STRACE_INFO(("Sending missing SAMPLE DESTROY to channel_id <%d> in state <%d>",channel_id,state));
+	 STRACE_INFO("Sending missing SAMPLE DESTROY to channel_id <%d> in state <%d>",channel_id,state);
 	 TSP_provider_request_sample_destroy_priv(channel_id);
 	 /* update state */
 	 state = TSP_session_get_state(channel_id);
@@ -589,10 +589,10 @@
 
        /* Simulate request close if consumer did not send it */
        if (TSP_SESSION_STATE_REQUEST_SAMPLE_DESTROY_OK == state) {
-	 STRACE_INFO(("Sending missing REQUEST CLOSE to channel_id <%d> in state <%d>",channel_id,state));
+	 STRACE_INFO("Sending missing REQUEST CLOSE to channel_id <%d> in state <%d>",channel_id,state);
 	 TSP_provider_request_close_priv(channel_id);
        }
-       STRACE_INFO(("Session No %d 'garbage-collected'", channel_id));
+       STRACE_INFO("Session No %d 'garbage-collected'", channel_id);
      }
      tsp_usleep(TSP_GARBAGE_COLLECTOR_POLL_TIME_US);
    }
@@ -628,7 +628,7 @@
   }
 
   if (TSP_STATUS_OK!=retcode) {
-    STRACE_INFO(("TSP private init error"));
+    STRACE_INFO("TSP private init error");
     X_tsp_provider_init_ok = FALSE;
   } else {
     X_tsp_provider_init_ok = TRUE;
@@ -654,7 +654,7 @@
     }
     /* Start GLU now since it is an ACTIVE one */
     if (0!=firstGLU->start(firstGLU)) {
-      STRACE_ERROR(("Cannot start GLU (ACTIVE case)"));
+      STRACE_ERROR("Cannot start GLU (ACTIVE case)");
       retcode = TSP_STATUS_ERROR_GLU_START;
     }	
     retcode = TSP_STATUS_OK;
@@ -670,15 +670,15 @@
 TSP_provider_request_async_sample_write(TSP_async_sample_t* async_sample_write) {
   int32_t ret = TSP_STATUS_OK;
 
-  STRACE_REQUEST(("ASYNC WRITE")); 
-  STRACE_DEBUG(("TSP_PROVIDER Before async_write: pgi %d value %s return %d ",async_sample_write->provider_global_index,async_sample_write->data.data_val,ret ));
+  STRACE_REQUEST("ASYNC WRITE"); 
+  STRACE_DEBUG("TSP_PROVIDER Before async_write: pgi %d value %s return %d ",async_sample_write->provider_global_index,async_sample_write->data.data_val,ret);
 
   /* FIXME should check channel id and get GLU from session object */
   ret = firstGLU->async_write(firstGLU,
 			      async_sample_write->provider_global_index,
   			      async_sample_write->data.data_val,async_sample_write->data.data_len);
 
-  STRACE_DEBUG(("TSP_PROVIDER After async_write: pgi %d value %s return %d ",async_sample_write->provider_global_index,async_sample_write->data.data_val,ret ));
+  STRACE_DEBUG("TSP_PROVIDER After async_write: pgi %d value %s return %d ",async_sample_write->provider_global_index,async_sample_write->data.data_val,ret);
   
   return ret;
 
@@ -689,8 +689,8 @@
 TSP_provider_request_async_sample_read(TSP_async_sample_t* async_sample_read) {
   int32_t ret = TSP_STATUS_OK;
 
-  STRACE_REQUEST(("ASYNC READ")); 
-  STRACE_DEBUG(("TSP_PROVIDER Before async_read: pgi %d value %s return %d ",async_sample_read->provider_global_index,async_sample_read->data.data_val,ret ));
+  STRACE_REQUEST("ASYNC READ"); 
+  STRACE_DEBUG("TSP_PROVIDER Before async_read: pgi %d value %s return %d ",async_sample_read->provider_global_index,async_sample_read->data.data_val,ret);
   
   /* FIXME should check channel id and get GLU from session object */
 
@@ -699,7 +699,7 @@
 			     (async_sample_read->data.data_val),
 			     &(async_sample_read->data.data_len));
 
-  STRACE_DEBUG(("TSP_PROVIDER After async_read: pgi %d value %f return %d ",async_sample_read->provider_global_index,*((double*)(async_sample_read->data.data_val)),ret ));
+  STRACE_DEBUG("TSP_PROVIDER After async_read: pgi %d value %f return %d ",async_sample_read->provider_global_index,*((double*)(async_sample_read->data.data_val)),ret);
   
   return ret;
 
@@ -710,7 +710,7 @@
 TSP_provider_request_extended_information(TSP_request_extended_information_t* req_extinfo, 
 					  TSP_answer_extended_information_t* ans_extinfo) {
   GLU_handle_t* myGLU;
-  STRACE_REQUEST(("EXTENDED INFORMATION channel_id=<%d>",req_extinfo->channel_id));
+  STRACE_REQUEST("EXTENDED INFORMATION channel_id=<%d>",req_extinfo->channel_id);
   TSP_LOCK_MUTEX(&X_tsp_request_mutex,);  
 
   ans_extinfo->status= TSP_provider_checkVersionAndChannelId(req_extinfo->version_id,
Index: src/core/ctrl/tsp_request_handler.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/ctrl/tsp_request_handler.c,v
retrieving revision 1.8
diff -u -r1.8 tsp_request_handler.c
--- src/core/ctrl/tsp_request_handler.c	30 Nov 2007 15:42:00 -0000	1.8
+++ src/core/ctrl/tsp_request_handler.c	3 Feb 2008 19:38:44 -0000
@@ -80,7 +80,7 @@
   TSP_provider_request_handler_t*  retval = NULL;
 
   if ((rank<0) || (rank>TSP_provider_rqh_manager_get_max_nb())) {
-    STRACE_ERROR(("Invalid request handler RANK=%d, max=%d",rank,TSP_provider_rqh_manager_get_max_nb()));
+    STRACE_ERROR("Invalid request handler RANK=%d, max=%d",rank,TSP_provider_rqh_manager_get_max_nb());
   }
   else {
     retval = &rqh_manager_if.request_handlers[rank];
@@ -116,13 +116,13 @@
   else {
     /* Verify the adressed rqh was not already installed */
     if (rqh_p->status != TSP_RQH_STATUS_NOTINSTALLED) {
-      STRACE_ERROR(("Could not replace an installed request handler"));
+      STRACE_ERROR("Could not replace an installed request handler");
       retval = FALSE;
     }
     else {
        /* Really install handler */
       if (!rqh_constructor(rqh_p)) {
-	STRACE_ERROR(("Invalid request handler constructor"));
+	STRACE_ERROR("Invalid request handler constructor");
 	retval = FALSE;
       }
     } /* (rqh_p->status == TSP_RQH_STATUS_RUNNING) [else] */
@@ -211,11 +211,11 @@
 		    {
 		      rqh_manager_if.nb_running_rhq++;
 		      /*FIXME: should not reference rpc explicitely */
-		      /*STRACE_INFO(("Request handler # %d started with URL %s", rank, TSP_rpc_request_url(rqh_p)));*/
+		      /*STRACE_INFO("Request handler # %d started with URL %s", rank, TSP_rpc_request_url(rqh_p));*/
 		    }
 		  else
 		    {
-		      STRACE_ERROR(("Request handler # %d could not start properly", rank));
+		      STRACE_ERROR("Request handler # %d could not start properly", rank);
 		    }
 		}
 	    }
@@ -261,7 +261,7 @@
 
 	  if(rqh_p->status != TSP_RQH_STATUS_STOPPED)
 	    {
-	      STRACE_ERROR(("Could not stop handler # %d, canceling", rank));
+	      STRACE_ERROR("Could not stop handler # %d, canceling", rank);
 	      pthread_cancel(rqh_p->tid);
 	    }
 	  rqh_manager_if.nb_running_rhq--;
@@ -281,5 +281,5 @@
     pthread_cond_wait(&rqh_manager_if.cond,&rqh_manager_if.mutex);
   }
   TSP_UNLOCK_MUTEX(&rqh_manager_if.mutex,);
-  STRACE_DEBUG(("No more Request Hanndler running -->terminate"));
+  STRACE_DEBUG("No more Request Hanndler running -->terminate");
 } /* end of TSP_provider_rqh_manager_waitend */
Index: src/core/ctrl/tsp_session.c
===================================================================
RCS file: /sources/tsp/tsp/src/core/ctrl/tsp_session.c,v
retrieving revision 1.39
diff -u -r1.39 tsp_session.c
--- src/core/ctrl/tsp_session.c	25 Jan 2008 16:00:35 -0000	1.39
+++ src/core/ctrl/tsp_session.c	3 Feb 2008 19:38:44 -0000
@@ -58,7 +58,7 @@
   {									\
     if( NULL == (session = TSP_get_session(channel_id) ) )		\
       {									\
-	STRACE_ERROR(("Unable to get session for channel_id=%u",channel_id)); \
+	STRACE_ERROR("Unable to get session for channel_id=%u",channel_id); \
 	TSP_UNLOCK_MUTEX(&X_session_list_mutex,ret);			\
       }									\
   }
@@ -114,7 +114,7 @@
 	
   for( i = 0 ;  i < X_session_nb ; i++) {
     if( X_session_t[i].channel_id == channel_id ) {
-      STRACE_DEBUG(("Channel_id = <%d> is session Idx <%d>", channel_id,i));
+      STRACE_DEBUG("Channel_id = <%d> is session Idx <%d>", channel_id,i);
       assert(X_session_t[i].session_data);
       session = &(X_session_t[i]);
       break;			
@@ -122,7 +122,7 @@
   }
   
   if( NULL == session ) { 
-    STRACE_ERROR(("No session found for channel_id=%u", channel_id));    
+    STRACE_ERROR("No session found for channel_id=%u", channel_id);
   }
 	
   return session ;
@@ -144,11 +144,11 @@
   case TSP_SESSION_STATE_REQUEST_SAMPLE_DESTROY_OK:
   case TSP_SESSION_STATE_BROKEN_LINK:
   case TSP_SESSION_STATE_CLOSE_ON_EOF:
-    STRACE_INFO(("Session was in state <%d> goes to <%d>",session->state,newState))
+    STRACE_INFO("Session was in state <%d> goes to <%d>",session->state,newState);
     session->state = newState;
     break;
   default:
-    STRACE_ERROR(("Unknown transition from state <%d> to <%d> IGNORED.",session->state,newState));
+    STRACE_ERROR("Unknown transition from state <%d> to <%d> IGNORED.",session->state,newState);
     retcode = TSP_STATUS_ERROR_UNKNOWN; 
     break;
   }
@@ -161,7 +161,7 @@
 TSP_session_close_session(channel_id_t channel_id) {
   int ret = FALSE;
   TSP_session_t* session = NULL;
-  STRACE_DEBUG(("Request Closing session channel_id = %d", channel_id));
+  STRACE_DEBUG("Request Closing session channel_id = %d", channel_id);
   session = TSP_get_session(channel_id);
   if (NULL != session) {
     assert(session->session_data);
@@ -170,12 +170,12 @@
     /* Fill the hole with latest element */
     *session = X_session_t[X_session_nb - 1];
     X_session_nb--;
-    STRACE_DEBUG(("X_session_nb now = %d.", X_session_nb));
+    STRACE_DEBUG("X_session_nb now = %d.", X_session_nb);
     ret = TRUE;
   }
 
   if(!ret) {
-    STRACE_WARNING(("Unable to find session number %d", channel_id));
+    STRACE_WARNING("Unable to find session number %d", channel_id);
   }
 
 } /* end of TSP_session_close_session */
@@ -257,7 +257,7 @@
 
   /* Is there room left for the new session ? */
   if( X_session_nb == TSP_MAX_CLIENT_NUMBER) {
-    STRACE_ERROR(("Max session number reached : %d", TSP_MAX_CLIENT_NUMBER));
+    STRACE_ERROR("Max session number reached : %d", TSP_MAX_CLIENT_NUMBER);
     /* do not forget to unlock!! */
     TSP_UNLOCK_MUTEX(&X_session_list_mutex,TSP_STATUS_ERROR_UNKNOWN);
     return TSP_STATUS_ERROR_NO_MORE_SESSION;
@@ -266,7 +266,7 @@
   /* Create a new channel Id*/
   *new_channel_id = X_count_channel_id++;
   
-  STRACE_DEBUG(("I've found room in X_session_t for the new session. Id in X_session_t is %d", X_session_nb));
+  STRACE_DEBUG("I've found room in X_session_t for the new session. Id in X_session_t is %d", X_session_nb);
   
   /* The position is always X_session_nb, 
    * 'coz' any holes in array are filled during session removal 
@@ -288,7 +288,7 @@
   /* OK, there's a new session*/
   X_session_nb++;
   
-  STRACE_INFO(("New consumer registered with TSP channel_id=%u", *new_channel_id ));
+  STRACE_INFO("New consumer registered with TSP channel_id=%u", *new_channel_id);
   	
   TSP_UNLOCK_MUTEX(&X_session_list_mutex,FALSE);
 
@@ -355,7 +355,7 @@
       TSP_group_algo_get_group_number(session->session_data->groups);
   }
   else {
-    STRACE_ERROR(("Function TSP_group_algo_create_symbols_table failed"));    
+    STRACE_ERROR("Function TSP_group_algo_create_symbols_table failed");
   }
     
   TSP_UNLOCK_MUTEX(&X_session_list_mutex,FALSE);
@@ -404,7 +404,7 @@
       ) {
 
     if(!TSP_data_sender_send_msg_ctrl(session->session_data->sender, msg_ctrl)) {
-      STRACE_WARNING(("Data link broken for session No %d",channel_id ));
+      STRACE_WARNING("Data link broken for session No %d",channel_id);
       session->state = TSP_SESSION_STATE_BROKEN_LINK;
     }
   } else {
@@ -440,13 +440,13 @@
       while (1==waitconsumer) {
 
 	if (TSP_SESSION_STATE_BROKEN_LINK==currentSession->state) {
-	  STRACE_DEBUG(("Data link broken (during wait loop) for session = %d / idx = %d.",currentSession->channel_id,i));
+	  STRACE_DEBUG("Data link broken (during wait loop) for session = %d / idx = %d.",currentSession->channel_id,i);
 	  waitconsumer = 0;
 	  continue;
 	}
 	
 	if (TSP_SESSION_STATE_CLOSED==currentSession->state) {
-	  STRACE_DEBUG(("Session closed (during wait loop) for session = %d / idx = %d.",currentSession->channel_id,i));
+	  STRACE_DEBUG("Session closed (during wait loop) for session = %d / idx = %d.",currentSession->channel_id,i);
 	  waitconsumer = 0;
 	  continue;
 	}
@@ -462,7 +462,7 @@
 	tsp_usleep(500000);	
 	TSP_LOCK_MUTEX(&X_session_list_mutex,);
 
-	STRACE_DEBUG(("Waiting session (session = %d / idx = %d) to reach SAMPLING state now %d...",currentSession->channel_id,i,currentSession->state));
+	STRACE_DEBUG("Waiting session (session = %d / idx = %d) to reach SAMPLING state now %d...",currentSession->channel_id,i,currentSession->state);
 
 	if (TSP_SESSION_STATE_REQUEST_SAMPLE_INIT_OK == currentSession->state) {
 	  if (TRUE==TSP_data_sender_is_consumer_connected(currentSession->session_data->sender)) {
@@ -481,7 +481,7 @@
 				 X_session_t[i].session_data->groups, 
 				 t))
 	  {
-	    STRACE_WARNING(("Data link broken for session No %d",X_session_t[i].channel_id ));
+	    STRACE_WARNING("Data link broken for session No %d",X_session_t[i].channel_id);
 	    X_session_t[i].state = TSP_SESSION_STATE_BROKEN_LINK;		  
 	  }
       }
@@ -504,7 +504,7 @@
       {
 	
 	if(!TSP_data_sender_send_msg_ctrl(X_session_t[i].session_data->sender, msg_ctrl)) {
-	  STRACE_WARNING(("Data link broken for session No %d",X_session_t[i].channel_id ));
+	  STRACE_WARNING("Data link broken for session No %d",X_session_t[i].channel_id);
 	  X_session_t[i].state = TSP_SESSION_STATE_BROKEN_LINK;	      
 	} else if (TSP_MSG_CTRL_EOF==msg_ctrl) {
 	  /* terminate session on EOF (passive GLU case) please */
@@ -556,12 +556,12 @@
     if ( base_frequency > 0.0 ) {
       ringbuf_size = TSP_STREAM_SENDER_RINGBUF_SIZE * base_frequency;
       
-      STRACE_DEBUG(("Stream sender ringbuf size will be : %d items (i.e. %d seconds)",
-		    ringbuf_size,
-		    TSP_STREAM_SENDER_RINGBUF_SIZE));
+      STRACE_DEBUG("Stream sender ringbuf size will be : %d items (i.e. %d seconds)",
+		   ringbuf_size,
+		   TSP_STREAM_SENDER_RINGBUF_SIZE);
     }
     else {
-      STRACE_ERROR(("GLU return base frequency = %f", base_frequency));
+      STRACE_ERROR("GLU return base frequency = %f", base_frequency);
       retcode = TSP_STATUS_ERROR_UNKNOWN;
     }
   }
@@ -571,10 +571,10 @@
   /*--------------------*/
   if (TSP_STATUS_OK==retcode) {
     uint32_t max_group_size = TSP_group_algo_get_biggest_group_size(session->session_data->groups);
-    STRACE_DEBUG(("Channel Id <%d> has Max TSP Group Size <%d> byte(s)",
-		  channel_id,max_group_size));
-    STRACE_DEBUG(("Using RINBUF size of <%d> byte(s)",
-		  ringbuf_size));
+    STRACE_DEBUG("Channel Id <%d> has Max TSP Group Size <%d> byte(s)",
+		  channel_id,max_group_size);
+    STRACE_DEBUG("Using RINBUF size of <%d> byte(s)",
+		  ringbuf_size);
     session->session_data->sender = TSP_data_sender_create(ringbuf_size, max_group_size);      
     if(NULL != session->session_data->sender) {
       /* If there's no fifo, 
@@ -589,16 +589,16 @@
 	 */
 	if (0!=(session->session_data->glu_h->start(session->session_data->glu_h))) {
 	  retcode = TSP_STATUS_ERROR_GLU_START;
-	  STRACE_ERROR(("Unable to start GLU (PASSIVE case)"));
+	  STRACE_ERROR("Unable to start GLU (PASSIVE case)");
 	} else {
-	  STRACE_DEBUG(("PASSIVE GLU started."));
+	  STRACE_DEBUG("PASSIVE GLU started.");
 	  retcode = TSP_STATUS_OK;
 	}
       }
     }
     else {
       retcode = TSP_STATUS_ERROR_UNKNOWN;
-      STRACE_ERROR(("function TSP_data_sender_create failed"));      
+      STRACE_ERROR("function TSP_data_sender_create failed");
     }
   }
   
@@ -647,7 +647,7 @@
     
   TSP_UNLOCK_MUTEX(&X_session_list_mutex,FALSE);
 
-  STRACE_DEBUG_MORE(("data_address='%s'",data_address ));
+  STRACE_DEBUG_MORE("data_address='%s'",data_address);
 
     
   return data_address;
@@ -684,7 +684,7 @@
     TSP_GET_SESSION(session, channel_id, FALSE);    
     
     if (pg_indexes == NULL) {
-      STRACE_ERROR(("Unable to allocate memory for global provider index"));
+      STRACE_ERROR("Unable to allocate memory for global provider index");
       ret = FALSE;
       goto out;
     }
@@ -692,7 +692,7 @@
     /* Get global provider indexes */
     myGLU = session->session_data->glu_h;
     if (myGLU->get_pgi(myGLU,symbol_list,pg_indexes) == FALSE) {
-      STRACE_ERROR(("Some symbols have not been found"));
+      STRACE_ERROR("Some symbols have not been found");
       ret=FALSE;
     }
      
@@ -724,7 +724,7 @@
     /* Garbage collect Data link broken session */
     if (X_session_t[i].state == TSP_SESSION_STATE_BROKEN_LINK ) {
       found = TRUE;
-      STRACE_INFO(("Garbage Collector thread found broken link session <%d>",X_session_t[i].channel_id));
+      STRACE_INFO("Garbage Collector thread found broken link session <%d>",X_session_t[i].channel_id);
       *channel_id = X_session_t[i].channel_id;
       break;
     } 
@@ -754,7 +754,7 @@
 	     (TSP_SESSION_STATE_REQUEST_SAMPLE_DESTROY_OK == X_session_t[i].state)
 	     )
 	    ){
-	  STRACE_INFO(("Garbage Collector thread found Datapool TERMINATED for session <%d>",X_session_t[i].channel_id));
+	  STRACE_INFO("Garbage Collector thread found Datapool TERMINATED for session <%d>",X_session_t[i].channel_id);
 	  found = TRUE;
 	  *channel_id = X_session_t[i].channel_id;
 	}
